## NAME

d.frame - Manages display frames on the user's graphics monitor.

## KEYWORDS

display, setup

## SYNOPSIS

d.frame
d.frame help
d.frame [-csepalD] [frame=name] [at=bottom,top,left,right] [--verbose] [--quiet]

### Flags:

-c
  Create a new frame
-s
  Select a frame
-e
  Remove all frames and erase the screen
-p
  Print name of current frame
-a
  Print names of all frames
-l
  List map names displayed in GRASS monitor
-D
  Debugging output
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

frame=name
  Frame to be created/selected
at=bottom,top,left,right
  Where to place the frame, values in percent (implies -c)

## DESCRIPTION

This program manages display frames on the user's graphics monitor. Graphics are displayed in rectangular frames on whatever graphics monitor the user is currently directing GRASS display output to. These frames are created and managed with this module. Note that GRASS frame contents are not retained when one frame covers another. You cannot shuffle frames from top to bottom and then back again. They simply define rectangular areas on the screen where subsequent drawing will occur.

## NOTES

The coordinates for the at= option are stated in the form: bottom,top,left,right. The lower-left corner of the graphics monitor always is at location 0,0 while the monitor's upper-right corner is always at 100,100 (the values are in percent).

If at= options are not given during frame correction the user will be prompted to create the frame using the mouse. Likewise if a frame name is not given during frame selection, the user will be prompted to select an existing frame on the display monitor using the mouse.

If the user has created multiple display frames that overlap one another, whatever the user displays in the active frame will overwrite those portions of the underlying frame where these frames overlap.

A frame by the name of full_screen is always present and may be selected at any time. This may be useful if you would like to de-select all user defined frames just before taking a screenshot.

## SEE ALSO

d.erase
d.extend
d.info
d.mon
d.monsize
d.mvmon
d.redraw
d.resize
d.save
d.split

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team